#!/bin/sh

if [ $# != 1 ]; then 
  echo "usage : install.sh [gnu/lucid/all]"
  exit
fi

LHANEMACS=/usr/local/lhanemacs
GHANEMACS=/usr/local/ghanemacs

if [ "$1" = "gnu" ]; then
  ln -s $GHANEMACS/bin/emacs /usr/local/bin/hanemacs
  mv $GHANEMACS/lib/emacs/19.28/etc/NEWS \
     $GHANEMACS/lib/emacs/19.28/etc/NEWS.org
  cp hanemacs.NEWS $GHANEMACS/lib/emacs/19.28/etc/NEWS
  chmod 444 $GHANEMACS/lib/emacs/19.28/etc/NEWS
  echo "ghanemacs installation done!"
  exit
fi

if [ "$1" = "lucid" ]; then
  cp hanemacs /usr/local/bin
  chmod 755 /usr/local/bin/hanemacs
  mv $LHANEMACS/lib/lemacs-19.10/etc/NEWS \
     $LHANEMACS/lib/lemacs-19.10/etc/NEWS.org
  cp hanemacs.NEWS $LHANEMACS/lib/lemacs-19.10/etc/NEWS
  chmod 444 $LHANEMACS/lib/lemacs-19.10/etc/NEWS
  echo "lhanemacs installation done!"
  exit
fi

if [ "$1" = "all" ]; then
  cp hanemacs /usr/local/bin
  chmod 755 /usr/local/bin/hanemacs
  mv $GHANEMACS/lib/emacs/19.28/etc/NEWS \
     $GHANEMACS/lib/emacs/19.28/etc/NEWS.org
  cp hanemacs.NEWS $GHANEMACS/lib/emacs/19.28/etc/NEWS
  chmod 444 $GHANEMACS/lib/emacs/19.28/etc/NEWS
  mv $LHANEMACS/lib/lemacs-19.10/etc/NEWS \
     $LHANEMACS/lib/lemacs-19.10/etc/NEWS.org
  cp hanemacs.NEWS $LHANEMACS/lib/lemacs-19.10/etc/NEWS
  chmod 444 $LHANEMACS/lib/lemacs-19.10/etc/NEWS
  echo "hanemacs installation done!"
  exit
fi

echo "usage : install.sh [gnu/lucid/all]"
